summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author M Slodkiewicz <slociu@wp.pl>2010-12-17 08:54:29 -0200
committer Erik Hanson <erik@slackbuilds.org>2010-12-17 07:56:49 -0600
commit4376c5cfbd3b41f82aeada797df00c75b5d75098 (patch)
tree64d102188cb1c6ecbf9fcbfd829de95119860862 /network
parent4ca1c968bc65183988bfa0689609e6d2d544f203 (diff)
downloadslackbuilds-4376c5cfbd3b41f82aeada797df00c75b5d75098.tar.gz
slackbuilds-4376c5cfbd3b41f82aeada797df00c75b5d75098.tar.xz
network/kadu: Updated for version 0.6.5.4.
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/kadu/README1
-rw-r--r--network/kadu/kadu.SlackBuild46
-rw-r--r--network/kadu/kadu.info9
3 files changed, 30 insertions, 26 deletions
diff --git a/network/kadu/README b/network/kadu/README
index 3388f9c073..ebc93516ec 100644
--- a/network/kadu/README
+++ b/network/kadu/README
@@ -1,3 +1,4 @@
Kadu is an IM client for the Gadu-Gadu protocol.
This requires libsndfile and libgadu.
+
diff --git a/network/kadu/kadu.SlackBuild b/network/kadu/kadu.SlackBuild
index f084e28ba7..ee06dbc394 100644
--- a/network/kadu/kadu.SlackBuild
+++ b/network/kadu/kadu.SlackBuild
@@ -1,16 +1,18 @@
#!/bin/sh
+# Slackware build script for kadu
+
+# Written by marco slociu@wp.pl
+
PRGNAM=kadu
-VERSION=${VERSION:-0.6.5.3}
+VERSION=${VERSION:-0.6.5.4}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -50,24 +52,22 @@ find . \
-exec chmod 644 {} \;
# Modifying .config file:
-sed -i "s|module_filtering=n|module_filtering=m|g" .config
-sed -i "s|module_screenshot=n|module_screenshot=m|g" .config
-sed -i "s|module_agent=n|module_agent=m|g" .config
-sed -i "s|module_tabs=n|module_tabs=m|g" .config
-sed -i "s|module_profiles=n|module_profiles=m|g" .config
-sed -i "s|module_firewall=n|module_firewall=m|g" .config
-# mediaplayer
-#sed -i "s|module_mediaplayer=n|module_mediaplayer=m|g" .config
-#sed -i "s|module_amarok1_mediaplayer=n|module_amarok1_mediaplayer=m|g" .config
-#sed -i "s|module_xmms_mediaplayer=n|module_xmms_mediaplayer=m|g" .config
-# sprawdzanie pisowni
-sed -i "s|module_spellchecker=n|module_spellchecker=m|g" .config
-# icons
-#sed -i "s|icons_kadu05=n|icons_kadu05=y|g" .config
-#sed -i "s|icons_tango16=n|icons_tango16=y|g" .config
-#sed -i "s|icons_oxygen16=n|icons_oxygen16=y|g" .config
-#sed -i "s|emoticons_gg6_compatible=n|emoticons_gg6_compatible=y|g" .config
-#sed -i "s|emoticons_tango=n|emoticons_tango=y|g" .config
+static="" # icons_kadu05 icons_tango16 icons_oxygen16 emoticons_gg6_compatible emoticons_tango
+disable=""
+enable="" # module_screenshot module_agent module_profiles module_firewall module_spellchecker
+
+for m in $static; do
+ sed -r -i "s/^($m)=n/\1=y/" .config || exit 1
+done
+for m in $enable; do
+ sed -r -i "s/^($m)=n/\1=m/" .config || exit 1
+done
+for m in $disable; do
+ sed -r -i "s/^($m)=m/\1=n/" .config || exit 1
+done
+
+sed -i "s|icons_glass16=y|icons_glass16=n|g" .config
+sed -i "s|icons_glass22=y|icons_glass22=n|g" .config
cmake . \
-DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
@@ -87,7 +87,7 @@ find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \
- AUTHORS COPYING ChangeLog INSTALL TODO README THANKS VERSION \
+ AUTHORS COPYING ChangeLog INSTALL TODO README THANKS VERSION \
$PKG/usr/doc/$PRGNAM-$VERSION
mkdir -p $PKG/install
@@ -96,3 +96,5 @@ cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
+
diff --git a/network/kadu/kadu.info b/network/kadu/kadu.info
index d236a5add0..6ffd0eb772 100644
--- a/network/kadu/kadu.info
+++ b/network/kadu/kadu.info
@@ -1,10 +1,11 @@
PRGNAM="kadu"
-VERSION="0.6.5.3"
+VERSION="0.6.5.4"
HOMEPAGE="http://www.kadu.net"
-DOWNLOAD="http://www.kadu.net/download/stable/kadu-0.6.5.3.tar.bz2"
-MD5SUM="7914d941020b0fa092748ffe0295174f"
+DOWNLOAD="http://www.kadu.net/download/stable/kadu-0.6.5.4.tar.bz2"
+MD5SUM="97cb72c0ab4b5cf897bfbfc3b5ac0379"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
MAINTAINER="M Slodkiewicz"
EMAIL="slociu@wp.pl"
-APPROVED="rworkman"
+APPROVED="Niels Horn"
+